Bug 471089 - fscking makes it seem like the computer has crashed
fscking makes it seem like the computer has crashed
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: plymouth (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F10Target
  Show dependency treegraph
 
Reported: 2008-11-11 13:41 EST by Dan Winship
Modified: 2009-12-18 01:48 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:48:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Winship 2008-11-11 13:41:27 EST
If the system decides it needs to fsck, the plymouth progress bar reaches 100% and then just stays there for a very very long time with no further feedback, making it seem like the system has crashed
Comment 1 Ray Strode [halfline] 2008-11-11 14:47:07 EST
how old is your plymouth? that shouldn't be true.
Comment 2 Yanko Kaneti 2008-11-11 16:46:12 EST
I've just had a fsck with plymouth-0.6.0-0.2008.11.11.2.fc11.i386 and the solar plugin. The progressbar reaches to the end, the flares are flaring, and the disk is spinning for quite a while.  I don't feel like only the flares and the disk activity are enough to give the user a good feeling about what's going on.
Comment 3 Dan Winship 2008-11-11 18:39:28 EST
plymouth-0.6.0-0.2008.10.30.4.fc10.x86_64
I'd done a yum update almost immediately before rebooting.
(This is with text-mode plymouth, but I guess from comment #2 it happens with graphical plymouth too.)
Comment 4 Ray Strode [halfline] 2008-11-11 23:12:06 EST
oh I see, you mean the fsck adds an unexpected delay to boot up that makes the progress indicator unreliable.

I thought you meant it was hanging indefinitely while an emergency shell was active in the background or something.

We probably need to expose fsck as another hook that the splash plugins can key off of and then make them do something different.  We also probably need to discount fsck time from boot progress.

I don't think we'll get to either before GA though.
Comment 5 Ray Strode [halfline] 2008-11-12 13:33:28 EST
thinking about this more, maybe for F10 we could just always --hide-splash / --show-splash around the fsck calls.

Bill, what do you think?
Comment 6 Bill Nottingham 2008-11-12 14:19:20 EST
Due to how fsck works, that would involve a hide/show cycle on every reboot - we don't know that it's going to be a 'long' fsck until after it's already started.
Comment 7 Ray Strode [halfline] 2008-11-13 13:38:52 EST
Might be worth playing with some of the fsck options to see if we can do a check-but-dont-fix call first.

Anyway, probably not going to make the F10 boat at this point, and we can probably do something more integrated for F11.
Comment 8 Charlie Brej 2008-11-15 00:52:03 EST
Currently the progress bar only changes progress speed when it recieves an event either earlier or later than expected. So when no events arrive for a long while, it dumbly continues to the end having no evidence that anything is wrong.

What I could do is to record when we are expecting the next event and if it doesn't happen on time to slow down the progress bar more and more.
Comment 9 Charlie Brej 2008-11-17 09:17:47 EST
Does this seem sensible:
When an event is more than 1 second late the progress bar turns to crawl mode where it still progresses but very very slowly (fully paused progress bar is worrying to many). Any time over the expected time plus 1 second the boot task took up is considered dead-time and not relevant to estimating the rest of the boot progress (fsck, network/ypbind timeout, etc.). So once that task finishes the progress assumes a return to the previous boot progress speed.
Comment 10 Ray Strode [halfline] 2008-11-17 09:22:34 EST
Sounds reasonable to me.
Comment 11 Charlie Brej 2008-11-17 09:48:32 EST
Pushed into git.
Comment 12 Ray Strode [halfline] 2008-11-17 10:15:41 EST
very quick!
Comment 13 Ray Strode [halfline] 2008-11-17 10:49:21 EST
This is built now.  (moved to F10Target since the work was already done)
Comment 14 Yanko Kaneti 2008-11-17 11:21:48 EST
It seems this bug is headed toward closing but if I may suggest, slowing down the progress bar would not really help the ordinary user feel more comfortable after waiting 5, 10 or more minutes for the computer to boot.
Comment 15 Ray Strode [halfline] 2008-11-17 11:27:57 EST
Right, for F11 we need to do better fsck integration.

Having this patch for F10 would be an improvement over not having it though (for F10)
Comment 16 Dan Winship 2008-11-17 12:37:12 EST
yeah, I think if the progress bar had stopped early on, I would have guessed it was fscking. (The machine had just crashed, after all.) It was confusing because the progress bar made it look like it had actually completely finished booting and *then* got stuck.
Comment 17 Bug Zapper 2008-11-26 00:12:38 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 18 Bug Zapper 2009-11-18 03:49:46 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 19 Bug Zapper 2009-12-18 01:48:59 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.